# Updates a program with the specified ID. This method will update an existing program with the specified ID. Endpoint: PUT /programs/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the program to update. ## Request fields (application/json): - `application_360_screen_id` (string) The default page layout when showing an certification - `application_page_layout_id` (string) The default page layout when showing an certification - `certificate_mode` (string) Enum: "automatically generate", "create manually", "disabled" - `certificate_template` (string, required) - `certification_360_screen_id` (string) The default page layout when showing a certification - `certification_page_layout_id` (string) The default page layout when showing a certification - `custom_application_portal_template` (string, required) - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `customer_type` (string) The type of customer that can have this certification Enum: "both", "contact", "organization" - `default_reinstatement_period` (number) The reinstatement period for certifications in this program - `description` (string) A description, which displays in the portal - `display_in_portal` (boolean) If true, this portal appears in the portal - `display_order` (number) The display order - `enable_custom_application_portal_template` (boolean) If set, a custom template is used to show the application information in the portal - `enable_grandfathered_certifications` (boolean) If set to true, any other certifications marked as grandfathered are renewed when a certification of this type is renewed - `grandfathered_certification_options` (object, required) - `grandfathered_certification_options.program_ids` (array, required) The program IDs to automatically renew when if a certification with this program is renewed and the certification is set to grandfathered renewal - `group_id` (string) The certification group - `id` (string, required) The unique, string identifier of this program - `is_active` (boolean) Whether or not this program is active - `logo_uri` (string) The logo of the program - `name` (string, required) The name of the program - `next_certification_number` (number) The number that should be used for the next certification that is activated in this program - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 200 fields (application/json): - `application_360_screen_id` (string) The default page layout when showing an certification - `application_page_layout_id` (string) The default page layout when showing an certification - `certificate_mode` (string) Enum: "automatically generate", "create manually", "disabled" - `certificate_template` (string, required) - `certification_360_screen_id` (string) The default page layout when showing a certification - `certification_page_layout_id` (string) The default page layout when showing a certification - `custom_application_portal_template` (string, required) - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `customer_type` (string) The type of customer that can have this certification Enum: "both", "contact", "organization" - `default_reinstatement_period` (number) The reinstatement period for certifications in this program - `description` (string) A description, which displays in the portal - `display_in_portal` (boolean) If true, this portal appears in the portal - `display_order` (number) The display order - `enable_custom_application_portal_template` (boolean) If set, a custom template is used to show the application information in the portal - `enable_grandfathered_certifications` (boolean) If set to true, any other certifications marked as grandfathered are renewed when a certification of this type is renewed - `grandfathered_certification_options` (object, required) - `grandfathered_certification_options.program_ids` (array, required) The program IDs to automatically renew when if a certification with this program is renewed and the certification is set to grandfathered renewal - `group_id` (string) The certification group - `id` (string, required) The unique, string identifier of this program - `is_active` (boolean) Whether or not this program is active - `logo_uri` (string) The logo of the program - `name` (string, required) The name of the program - `next_certification_number` (number) The number that should be used for the next certification that is activated in this program - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields